Package org.eclipse.emf.cdo.session

# Interface CDOSessionEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

All Known Subinterfaces:
  `CDOSessionInvalidationEvent`, `CDOSessionLocksChangedEvent`, `CDOSessionPermissionsChangedEvent`, `CDOSessionRecoveryEvent`, `InternalCDOSessionInvalidationEvent`

public interface CDOSessionEvent extends org.eclipse.net4j.util.event.IEvent
A generic `event` fired from a `session`.

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOSession`
`getSource()`

## Method Details

### getSource

CDOSession getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Since:
  3.0